package Übungen.TaschenrechnerGUI;

import static org.junit.Assert.*;
import static org.junit.jupiter.api.Assertions.assertEquals;

import org.junit.Test;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Disabled;

public class JunitTest {
//	Modell<?, ?> m1;
//	
//	@BeforeEach
//	public void initi() {
//		m1 = new Modell<>();
//	}
	
	@Test
	public void testAdd() {
		Modell<Integer, Integer> m1 = new Modell<>();
		assertEquals(15 ,m1.add(10, 5).intValue());
		
	}
	
	@Disabled
	public void testSub() {
		Modell<Integer, Integer> m1 = new Modell<>();
		
	}
	
	@Disabled
	public void testmulti() {
		Modell<Double, Double> m1 = new Modell<>();
		assertEquals(1.44 ,m1.multi(1.2, 1.2).doubleValue());
		
	}
	
	@Disabled
	public void testdivid() {
		Modell<Integer, Integer> m1 = new Modell<>();
		assertEquals(1 ,m1.divid(5, 5).intValue());
		
	}
	
	
}
